Differences between revisions 1 and 20 (spanning 19 versions)
Revision 1 as of 2015-12-18 11:23:36
Size: 907
Editor: ?NikoTyni
Comment:
Revision 20 as of 2015-12-18 14:39:35
Size: 2081
Editor: ?NikoTyni
Comment: libchemistry-formula-perl
Deletions are marked like this. Additions are marked like this.
Line 1: Line 1:
Open issues for the Perl 5.22 transition + coordinaating Open issues for the Perl 5.22 transition + coordinating
Line 3: Line 3:
12:56 < ntyni> looks like qdbm and subversion are victims of an openjdk-7 jre SIGSEGV regression on arm64
12:58 < ntyni> libdevel-bt-perl is a long-standing problem (#721421), IMO we should probably make the build
               survive test suite failures as they generally seem to be issues in gdb rather than
               libdevel-bt-perl
12:59 < ntyni> anyway libdevel-bt-perl is a leaf package I think so it can go for now
= Issues which show up in the transition tracker =
Line 9: Line 5:
13:03 < ntyni> the wxwidgets version detection logic in libalien-wxwidgets-perl debian/rules is a bit fragile
               and broke when wxwidgets3.0 acquired a +dfsg suffix in its version number
https://release.debian.org/transitions/html/perl.html
Line 12: Line 7:
 * qdbm, subversion: these seem to be victims of an openjdk-7 jre SIGSEGV regression on arm64
    * ntyni asked about this on #debian-arm
    * both built after a give-back, wookey suspects a local problem on arm-arm-01 buildd
    * not sure if we should still file a bug
 * libdevel-bt-perl is a long-standing problem (DebianBug:721421)
   * we should probably make the survive test suite failures as they generally seem to be issues in gdb rather libdevel-bt-perl
   * but libdevel-bt-perl is a leaf package I think so it can go for now (ntyni)
 * [DONE] libalien-wxwidgets-perl: wxwidgets version detection logic broken and not binNMU safe (DebianBug:808284)
 * ifeffit is non-free, needs a bug and a manual upload
    * bug filed
 * libb-hooks-op-check-entersubforcv-perl: longstanding issue, can be removed from testing: (DebianBug:787499)
 * libdevel-findref-perl: (DebianBug:787446)
 * libsbml: pochu will poke mono people
 * postgresql-9.4: to investigate when buildd.debian.org back
 * rrdtool: FTBFS on mips: `FAIL: tune2 DebianBug:805391
 * postgresql-9.4: test suite failures, maybe libxml2 related?
    * reproducible.d.n last successfully built this on 20151211
 * libsendmail-milter-perl: (DebianBug:807392)
 * linux-tools: looks like it's defending against binNMUs or something
 * libchemistry-formula-perl: depends on perlapi-* even though it's arch:all, presumably due to a packlist file that's in vendorarch
    * needs a bug and a sourceful upload to become installable again
Line 13: Line 29:
13:15 < BTS> Opened #808284 (serious) in libalien-wxwidgets-perl 0.67+dfsg-2 by Axel Beckert (abe) «Broken
             dependencies in binary package after BinNMU». https://bugs.debian.org/808284
= Other issues =

 * perl5 (Dom mostly filing/fixing)
   * html2wml: DebianBug:808189
   * amanda-common: DebianBug:808209
   * ddclient: DebianBug:808210
   * jailer: DebianBug:808218
   * nas-bin: DebianBug:808232
   * p10cfgd: DebianBug:808233 (done)
   * gwyddion-plugins
   * swish++
   * troffcvt
   * votca-csg
   * wmanager
   * xpilot-extra
   * geneweb
   * ippl

Open issues for the Perl 5.22 transition + coordinating

Issues which show up in the transition tracker

https://release.debian.org/transitions/html/perl.html

  • qdbm, subversion: these seem to be victims of an openjdk-7 jre SIGSEGV regression on arm64
    • ntyni asked about this on #debian-arm
    • both built after a give-back, wookey suspects a local problem on arm-arm-01 buildd
    • not sure if we should still file a bug
  • libdevel-bt-perl is a long-standing problem (721421)

    • we should probably make the survive test suite failures as they generally seem to be issues in gdb rather libdevel-bt-perl
    • but libdevel-bt-perl is a leaf package I think so it can go for now (ntyni)
  • [DONE] libalien-wxwidgets-perl: wxwidgets version detection logic broken and not binNMU safe (808284)

  • ifeffit is non-free, needs a bug and a manual upload
    • bug filed
  • libb-hooks-op-check-entersubforcv-perl: longstanding issue, can be removed from testing: (787499)

  • libdevel-findref-perl: (787446)

  • libsbml: pochu will poke mono people
  • postgresql-9.4: to investigate when buildd.debian.org back
  • rrdtool: FTBFS on mips: `FAIL: tune2 805391

  • postgresql-9.4: test suite failures, maybe libxml2 related?
    • reproducible.d.n last successfully built this on 20151211
  • libsendmail-milter-perl: (807392)

  • linux-tools: looks like it's defending against binNMUs or something
  • libchemistry-formula-perl: depends on perlapi-* even though it's arch:all, presumably due to a packlist file that's in vendorarch
    • needs a bug and a sourceful upload to become installable again

Other issues

  • perl5 (Dom mostly filing/fixing)
    • html2wml: 808189

    • amanda-common: 808209

    • ddclient: 808210

    • jailer: 808218

    • nas-bin: 808232

    • p10cfgd: 808233 (done)

    • gwyddion-plugins
    • swish++
    • troffcvt
    • votca-csg
    • wmanager
    • xpilot-extra
    • geneweb
    • ippl